Skip to main content
GET
/
v1
/
raw
/
youtube
/
channel-transcripts
/
{handle}
JavaScript
import Influship from 'influship';

const client = new Influship({
  apiKey: process.env['INFLUSHIP_API_KEY'], // This is the default and can be omitted
});

const response = await client.raw.youtube.getChannelTranscripts('@techreviews');

console.log(response.data);
{
  "data": {
    "channel_id": "<string>",
    "handle": "mkbhd",
    "channel_name": "<string>",
    "videos_found": 4503599627370495,
    "transcripts_fetched": 4503599627370495,
    "transcripts_failed": 4503599627370495,
    "items": [
      {
        "video_id": "dQw4w9WgXcQ",
        "url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
        "title": "<string>",
        "view_count": 1,
        "published_text": "<string>",
        "language": "<string>",
        "source": "manual",
        "full_text": "<string>",
        "word_count": 1,
        "transcript": [
          {
            "text": "Welcome to my channel!",
            "start": 0.5,
            "duration": 2.3
          }
        ],
        "error": "<string>"
      }
    ],
    "scraped_at": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

handle
string
required

YouTube channel handle

Minimum string length: 1
Example:

"@techreviews"

Query Parameters

video_limit
integer
default:5

Number of videos to fetch transcripts for (max 20)

Required range: 1 <= x <= 20
Example:

5

language
string
default:en

Language code for transcripts

Example:

"en"

sort_by
enum<string>
default:newest

How to sort channel videos before selecting

Available options:
popular,
newest,
oldest
Example:

"newest"

include_segments
boolean

Include timestamped transcript segments in response

Example:

false

Response

Successful response

data
object
required